## ros-melodic-turtlebot3-fake 1.2.0

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot3_fake)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  sensor_msgs
  geometry_msgs
  nav_msgs
  tf
  turtlebot3_msgs
)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp std_msgs sensor_msgs geometry_msgs nav_msgs tf turtlebot3_msgs
)

################################################################################
# Build
################################################################################
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_executable(turtlebot3_fake_node src/turtlebot3_fake.cpp)
add_dependencies(turtlebot3_fake_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(turtlebot3_fake_node ${catkin_LIBRARIES})

################################################################################
# Install
################################################################################
install(TARGETS turtlebot3_fake_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY launch rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-melodic-turtlebot3-fake (1.2.0-0stretch) stretch; urgency=high

  * move out the init() from ROS_ASSERT #68 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/68>
  * Contributors: Sean Yen, Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 21 Jan 2019 15:00:00 -0000

ros-melodic-turtlebot3-fake (1.1.0-0stretch) stretch; urgency=high

  * added TurtleBot3 Waffle Pi
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 19 Jul 2018 15:00:00 -0000

ros-melodic-turtlebot3-fake (1.0.2-0stretch) stretch; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Thu, 31 May 2018 15:00:00 -0000

ros-melodic-turtlebot3-fake (1.0.1-0stretch) stretch; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 29 May 2018 15:00:00 -0000

ros-melodic-turtlebot3-fake (1.0.0-0stretch) stretch; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.2.4-0stretch) stretch; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.2.3-0stretch) stretch; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.2.2-0stretch) stretch; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.2.1-0stretch) stretch; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.2.0-0stretch) stretch; urgency=high

  * added TurtleBot3 Waffle Pi
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Mon, 12 Mar 2018 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.1.7-0stretch) stretch; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 15 Aug 2017 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.1.6-0stretch) stretch; urgency=high

  * updated rviz and add static tf publisher for depth camera
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Sun, 13 Aug 2017 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.1.5-0stretch) stretch; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Thu, 08 Jun 2017 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.1.4-0stretch) stretch; urgency=high

  * added as new meta-packages and version update (0.1.4)
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.1.3-0stretch) stretch; urgency=high

  * modified the package information for release
  * modified SLAM param
  * modified the description, authors, depend option and delete the core package
  * modified the turtlebot bringup files
  * modified pkg setting for turtlebot3_core
  * modified the navigation package and turtlebot3 node for demo
  * modified the wheel speed gain
  * added Intel RealSense R200
  * added LDS sensor
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-turtlebot3-fake
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-turtlebot3-msgs
Homepage: http://wiki.ros.org/turtlebot3_fake
Standards-Version: 3.9.2

Package: ros-melodic-turtlebot3-fake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-nav-msgs, ros-melodic-robot-state-publisher, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-turtlebot3-msgs
Description: Package for TurtleBot3 fake node.
 With this package, simple tests can be done without a robot. You can do simple tests using this package on rviz without real robots.

## ros-melodic-turtlebot3-fake 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
 ################################################################################
 # Set minimum required version of cmake, project name and compile options
 ################################################################################
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(turtlebot3_fake)
+cmake_policy(SET CMP0054 NEW)
 
 ################################################################################
 # Find catkin packages and libraries for catkin and system dependencies

=== debian/changelog ===
ros-melodic-turtlebot3-fake (1.3.2-1bionic) bionic; urgency=high

  * update catkin minimum requirement
  * fix bugs
  * Contributors: Kerui, Elvis Dowson, Will Son

 -- Will Son <willson@robotis.com>  Mon, 12 Jul 2021 15:00:00 -0000

ros-melodic-turtlebot3-fake (1.3.1-1bionic) bionic; urgency=high

  * fix init() in turtlebot3_drive.cpp
  * Apply low poly models
  * Noetic release
  * Contributors: Sean Yen, Will Son

 -- Will Son <willson@robotis.com>  Wed, 06 Jan 2021 15:00:00 -0000

ros-melodic-turtlebot3-fake (1.3.0-1bionic) bionic; urgency=high

  * fix ROS Assert issue when debugging (#124)
  * added TurtleBot3 Autorace 2020 (#108)
  * added turtlebot3_description to dependency list (#104)
  * removed *nix path separator (#92)
  * removed unnecessary gazebo plugin_path (#78)
  * Contributors: Sean Yen, Ashe Kim, Mikael Arguedas, Ben Wolsieffer

 -- Will Son <willson@robotis.com>  Mon, 28 Sep 2020 15:00:00 -0000

ros-melodic-turtlebot3-fake (1.2.0-1bionic) bionic; urgency=high

  * move out the init() from ROS_ASSERT #68 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/68>
  * Contributors: Sean Yen, Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 21 Jan 2019 15:00:00 -0000

ros-melodic-turtlebot3-fake (1.1.0-1bionic) bionic; urgency=high

  * added TurtleBot3 Waffle Pi
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 19 Jul 2018 15:00:00 -0000

ros-melodic-turtlebot3-fake (1.0.2-1bionic) bionic; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Thu, 31 May 2018 15:00:00 -0000

ros-melodic-turtlebot3-fake (1.0.1-1bionic) bionic; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 29 May 2018 15:00:00 -0000

ros-melodic-turtlebot3-fake (1.0.0-1bionic) bionic; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.2.4-1bionic) bionic; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.2.3-1bionic) bionic; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.2.2-1bionic) bionic; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.2.1-1bionic) bionic; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.2.0-1bionic) bionic; urgency=high

  * added TurtleBot3 Waffle Pi
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Mon, 12 Mar 2018 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.1.7-1bionic) bionic; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 15 Aug 2017 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.1.6-1bionic) bionic; urgency=high

  * updated rviz and add static tf publisher for depth camera
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Sun, 13 Aug 2017 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.1.5-1bionic) bionic; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Thu, 08 Jun 2017 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.1.4-1bionic) bionic; urgency=high

  * added as new meta-packages and version update (0.1.4)
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-melodic-turtlebot3-fake (0.1.3-1bionic) bionic; urgency=high

  * modified the package information for release
  * modified SLAM param
  * modified the description, authors, depend option and delete the core package
  * modified the turtlebot bringup files
  * modified pkg setting for turtlebot3_core
  * modified the navigation package and turtlebot3 node for demo
  * modified the wheel speed gain
  * added Intel RealSense R200
  * added LDS sensor
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-turtlebot3-fake
 Section: misc
-Priority: extra
-Maintainer: Pyo <pyo@robotis.com>
+Priority: optional
+Maintainer: Will Son <willson@robotis.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-turtlebot3-msgs
 Homepage: http://wiki.ros.org/turtlebot3_fake
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-turtlebot3-fake//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
